"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const eventsRegistry = {
    DEFAULT: [],
};
function getRegistryOfContext(contextName) {
    if (!isContextInEventRegistry(contextName)) {
        throw new Error("Context doesn't exist");
    }
    return eventsRegistry[contextName];
}
exports.getRegistryOfContext = getRegistryOfContext;
function addEventToRegistry(phrase, action, contextName = 'DEFAULT') {
    if (!isContextInEventRegistry(contextName)) {
        addNewContext(contextName);
    }
    eventsRegistry[contextName].push({ grammar: phrase, action });
}
exports.addEventToRegistry = addEventToRegistry;
function isContextInEventRegistry(contextName) {
    return contextName in eventsRegistry;
}
function addNewContext(contextName) {
    eventsRegistry[contextName] = [];
}
//# sourceMappingURL=recognitionRegistryService.js.map